/*
 * @Author: Kane
 * @Date: 2023-06-06 17:40:31
 * @LastEditors: Kane
 * @FilePath: /task_schedule/src/utils/ranking.ts
 * @Description: 排行榜相关的代码
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */
import { service as instance } from "./api/request.js";
import { API_URL } from "./api/config.js";
import { type RankingListItem } from "../types/cpicxim/RankingListItem.js";

/**
 * 用于请求排行榜数据请求参数
 */
interface RankingListRequest
{
    departmentCode: string;
    year: string;
    month: string;
};

interface RankingListResponse
{
    success: boolean;
    message: string;
    departmentCode: string;
    year: string;
    month: string;
    attachingRankingList: RankingListItem[];
    renewalRankintList: RankingListItem[];
};

export { type RankingListRequest, type RankingListResponse };
